package com.uas.finance.erp.model;


import com.uas.finance.model.Attach;

import java.io.Serializable;

/**
 * 附件实体传输转换类
 * created by shicr on 2017/12/25
 **/
public class AttachInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 附件id
     */
    private Long id;

    /**
     * 附件名
     */
    private String name;

    /**
     * 附件路径
     */
    private String path;

    /**
     * 文件大小
     */
    private Long size;

    /**
     * 文件所属类别
     */
    private String type;

    /**
     * 附件所属的金融单据
     */
    private Long applyId;

    public Long getApplyId() {
        return applyId;
    }

    public void setApplyId(Long applyId) {
        this.applyId = applyId;
    }

    public Long getSize() {
        return size;
    }

    public void setSize(Long size) {
        this.size = size;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public AttachInfo(Attach attach) {
        this.applyId = attach.getApplyId();
        this.id = attach.getId();
        this.name = attach.getName();
        this.path = attach.getPath();
        this.size = attach.getSize();
        this.type = attach.getType();
    }

    public AttachInfo() {
    }
}
